Ruby: ext/zlib/zlib-1.2.13/contrib/minizip/ioapi.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
ioapi.c File Reference
`#include "ioapi.h"`

Go to the source code of this file.

## Macros
#define | FOPEN_FUNC(filename, mode) fopen64(filename, mode)
#define | FTELLO_FUNC(stream) ftello64(stream)
#define | FSEEKO_FUNC(stream, offset, origin) fseeko64(stream, offset, origin)

## Functions
voidpf | call_zopen64 (const zlib_filefunc64_32_def *pfilefunc, const void *filename, int mode)
long | call_zseek64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream, ZPOS64_T offset, int origin)
ZPOS64_T | call_ztell64 (const zlib_filefunc64_32_def *pfilefunc, voidpf filestream)
void | fill_zlib_filefunc64_32_def_from_filefunc32 (zlib_filefunc64_32_def *p_filefunc64_32, const zlib_filefunc_def *p_filefunc32)
void | fill_fopen_filefunc (zlib_filefunc_def *pzlib_filefunc_def)
void | fill_fopen64_filefunc (zlib_filefunc64_def *pzlib_filefunc_def)

## Macro Definition Documentation

## ◆ FOPEN_FUNC

#define FOPEN_FUNC | ( |  | filename,
|  |  | mode
| ) |  | fopen64(filename, mode)

Definition at line 23 of file ioapi.c.

## ◆ FSEEKO_FUNC

#define FSEEKO_FUNC | ( |  | stream,
|  |  | offset,
|  |  | origin
| ) |  | fseeko64(stream, offset, origin)

Definition at line 25 of file ioapi.c.

## ◆ FTELLO_FUNC

#define FTELLO_FUNC | ( |  | stream | ) | ftello64(stream)

Definition at line 24 of file ioapi.c.

## Function Documentation

## ◆ call_zopen64()

voidpf call_zopen64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | const void * | filename,
|  | int | mode
| ) |  |

Definition at line 31 of file ioapi.c.

References NULL, zlib_filefunc64_def_s::opaque, zlib_filefunc64_32_def_s::zfile_func64, zlib_filefunc64_32_def_s::zopen32_file, and zlib_filefunc64_def_s::zopen64_file.

## ◆ call_zseek64()

long call_zseek64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream,
|  | ZPOS64_T | offset,
|  | int | origin
| ) |  |

Definition at line 41 of file ioapi.c.

References NULL, zlib_filefunc64_def_s::opaque, zlib_filefunc64_32_def_s::zfile_func64, zlib_filefunc64_32_def_s::zseek32_file, and zlib_filefunc64_def_s::zseek64_file.

## ◆ call_ztell64()

ZPOS64_T call_ztell64 | ( | const zlib_filefunc64_32_def * | pfilefunc,
|  | voidpf | filestream
| ) |  |

Definition at line 55 of file ioapi.c.

References MAXU32, NULL, zlib_filefunc64_def_s::opaque, zlib_filefunc64_32_def_s::zfile_func64, zlib_filefunc64_def_s::zseek64_file, zlib_filefunc64_32_def_s::ztell32_file, and zlib_filefunc64_def_s::ztell64_file.

## ◆ fill_fopen64_filefunc()

void fill_fopen64_filefunc | ( | zlib_filefunc64_def * | pzlib_filefunc_def | ) |

Definition at line 247 of file ioapi.c.

References NULL, zlib_filefunc64_def_s::opaque, zlib_filefunc64_def_s::zclose_file, zlib_filefunc64_def_s::zerror_file, zlib_filefunc64_def_s::zopen64_file, zlib_filefunc64_def_s::zread_file, zlib_filefunc64_def_s::zseek64_file, zlib_filefunc64_def_s::ztell64_file, and zlib_filefunc64_def_s::zwrite_file.

Referenced by unzOpenInternal(), and zipOpen3().

## ◆ fill_fopen_filefunc()

void fill_fopen_filefunc | ( | zlib_filefunc_def* | pzlib_filefunc_def | ) |

Definition at line 234 of file ioapi.c.

References NULL, and zlib_filefunc_def_s::zopen_file.

## ◆ fill_zlib_filefunc64_32_def_from_filefunc32()

void fill_zlib_filefunc64_32_def_from_filefunc32 | ( | zlib_filefunc64_32_def * | p_filefunc64_32,
|  | const zlib_filefunc_def * | p_filefunc32
| ) |  |

Definition at line 69 of file ioapi.c.

References NULL, zlib_filefunc_def_s::opaque, zlib_filefunc64_def_s::opaque, zlib_filefunc_def_s::zclose_file, zlib_filefunc64_def_s::zclose_file, zlib_filefunc_def_s::zerror_file, zlib_filefunc64_def_s::zerror_file, zlib_filefunc64_32_def_s::zfile_func64, zlib_filefunc64_32_def_s::zopen32_file, zlib_filefunc64_def_s::zopen64_file, zlib_filefunc_def_s::zopen_file, zlib_filefunc_def_s::zread_file, zlib_filefunc64_def_s::zread_file, zlib_filefunc64_32_def_s::zseek32_file, zlib_filefunc64_def_s::zseek64_file, zlib_filefunc_def_s::zseek_file, zlib_filefunc64_32_def_s::ztell32_file, zlib_filefunc64_def_s::ztell64_file, zlib_filefunc_def_s::ztell_file, zlib_filefunc_def_s::zwrite_file, and zlib_filefunc64_def_s::zwrite_file.

Referenced by unzOpen2(), and zipOpen2().